$LOAD_PATH.push File.expand_path("lib", __dir__)
require "blackfire/version"

Gem::Specification.new do |spec|
  spec.name = "blackfire"

  spec.summary = "Test"
  spec.license = "Nonstandard"
  spec.version = Blackfire::VERSION

  spec.author = "Blackfire SAS, Shugo Maeda, Charlie Savage, Roger Pack, Stefan Kaes"
  spec.email = "support@blackfire.io, shugo@ruby-lang.org, cfis@savagexi.com, rogerdpack@gmail.com, skaes@railsexpress.de"
  spec.homepage = "https://blackfire.io/"
  spec.platform = Gem::Platform::RUBY
  spec.require_path = "lib"
  spec.bindir = "bin"
  spec.extensions = ["ext/blackfire/extconf.rb"]
  spec.files = Dir["CHANGES",
                   "LICENSE",
                   "Rakefile",
                   "blackfire.gemspec",
                   "ext/blackfire/extconf.rb",
                   "ext/blackfire/*.c",
                   "ext/blackfire/*.h",
                   "lib/blackfire.rb",
                   "lib/blackfire/**/*",
                   "lib/generators/**/*",
                   "lib/patches/**/*"
                   ]

  spec.test_files = Dir["test/test_*.rb"]
  spec.required_ruby_version = ">= 2.4.10"
  spec.date = Time.now.strftime("%Y-%m-%d")
  spec.add_dependency("inifile", "3.0.0")
  spec.add_dependency("logging", "2.2.2")
  spec.add_dependency("os", "1.1.0")
  spec.add_dependency("railties", ">= 5.2.4.4")
  spec.add_development_dependency("byebug", "11.1.3")
  spec.add_development_dependency("minitest", "5.14.0")
  spec.add_development_dependency("minitest-fail-fast", "0.1.0")
  spec.add_development_dependency("minitest-reporters", "1.4.2")
  spec.add_development_dependency("rack", "2.2.3")
  spec.add_development_dependency("rake-compiler", "1.1.0")
  spec.add_development_dependency("rdoc", "6.2.1")
  spec.add_development_dependency("rubocop", "0.84.0")
  spec.add_development_dependency("rubocop-thread_safety", "0.3.4")
  spec.add_development_dependency("sinatra", "2.0.8.1")
end
