module Blackfire
  module FnArgs
    class << self
      attr_accessor :fn_args_rules

      def cleanup
        @fn_args_rules = []
      end

      def add_new_rule(item)
        return unless item.start_with? "Blackfire-Fn-Args".freeze

        item.slice!("Blackfire-Fn-Args:".freeze)
        fnar = FnArgsRule.new(item.strip)
        @fn_args_rules << fnar
      end

      def should_report_queries?
        Query.flag_pdo == "1"
      end
    end
  end
end
